/* array.c :  entry=array */
/* compiled by EusLisp 9.23() for Linux64 created on ip-172-31-24-248(Fri Mar 10 19:49:00 PST 2017) */
#include "eus.h"
#include "array.h"
#pragma init (register_array)
extern double fabs();
extern pointer fcallx();
static void init_ftab();
extern pointer loadglobal(),storeglobal();
static pointer module,*qv,codevec,quotevec;
extern pointer ___array();
extern pointer build_quote_vector();
static int register_array()
  { add_module_initializer("___array", ___array);}

static pointer F57073fill_initial_contents();
static pointer F57076make_array();
static pointer F57079array_total_size();
static pointer F57082fill_pointer();
static pointer F57085array_rank();
static pointer F57088array_dimensions();
static pointer F57091array_dimension();
static pointer F57094array_vector();
static pointer F57097row_major_aref();
static pointer F57100list_dimensions();
static pointer F57103read_array();
static pointer F57106read_float_array();
static pointer F57109read_integer_array();
static pointer F57119float_vector_p();
static pointer F57122integer_vector_p();
static pointer F57125bit_vector_p();
static pointer F57128matrixp();
static pointer F57131make_matrix();
static pointer F57134matrix_row();
static pointer F57137matrix_column();
static pointer F57140set_matrix_row();
static pointer F57143set_matrix_column();
static pointer F57146replace_matrix();
static pointer F57149copy_matrix();
static pointer F57152scale_matrix();
static pointer F57155matrix();
static pointer F57158acos();
static pointer F57161asin();
static pointer F57164unit_matrix();
static pointer F57167m__();
static pointer F57170simultaneous_equation();
static pointer F57173inverse_matrix();
static pointer F57176vector_x();
static pointer F57179vector_y();
static pointer F57182vector_z();
static pointer F57185v_();
static pointer F57188euler_matrix();
static pointer F57191rpy_matrix();

/*:elmtype*/
static pointer M57273vectorclass_elmtype(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[8];
	local[0]= w;
BLK57274:
	ctx->vsp=local; return(local[0]);}

/*:element-type*/
static pointer M57289vectorclass_element_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[8];
	local[1]= fqv[0];
	ctx->vsp=local+2;
	w=(*ftab[0])(ctx,2,local+0,&ftab[0],fqv[1]); /*assoc*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w = (w)->c.cons.car;
	local[0]= w;
BLK57290:
	ctx->vsp=local; return(local[0]);}

/*:elmtype*/
static pointer M57324vector_elmtype(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)GETCLASS(ctx,1,local+0); /*class*/
	local[0]= w;
	local[1]= fqv[2];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK57325:
	ctx->vsp=local; return(local[0]);}

/*:element-type*/
static pointer M57345vector_element_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)GETCLASS(ctx,1,local+0); /*class*/
	local[0]= w;
	local[1]= fqv[3];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK57346:
	ctx->vsp=local; return(local[0]);}

/*:element-type*/
static pointer M57396array_element_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+1;
	w=(pointer)F57119float_vector_p(ctx,1,local+0); /*float-vector-p*/
	if (w==NIL) goto CON57411;
	local[0]= fqv[4];
	goto CON57409;
CON57411:
	local[0]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+1;
	w=(pointer)F57122integer_vector_p(ctx,1,local+0); /*integer-vector-p*/
	if (w==NIL) goto CON57420;
	local[0]= fqv[5];
	goto CON57409;
CON57420:
	w = argv[0]->c.obj.iv[1];
	if (!isstring(w)) goto CON57429;
	local[0]= fqv[6];
	goto CON57409;
CON57429:
	local[0]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+1;
	w=(pointer)F57125bit_vector_p(ctx,1,local+0); /*bit-vector-p*/
	if (w==NIL) goto CON57436;
	local[0]= fqv[7];
	goto CON57409;
CON57436:
	local[0]= T;
	goto CON57409;
CON57445:
	local[0]= NIL;
CON57409:
	w = local[0];
	local[0]= w;
BLK57397:
	ctx->vsp=local; return(local[0]);}

/*fill-initial-contents*/
static pointer F57073fill_initial_contents(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	argv[2] = (w)->c.cons.cdr;
	w = local[0];
	local[0]= w;
	local[1]= makeint((eusinteger_t)0L);
	if (argv[2]==NIL) goto CON57518;
	local[2]= (pointer)get_sym_func(fqv[8]);
	local[3]= argv[2];
	ctx->vsp=local+4;
	w=(pointer)APPLY(ctx,2,local+2); /*apply*/
	local[1] = w;
	local[2]= makeint((eusinteger_t)0L);
	local[3]= local[0];
WHL57558:
	local[4]= local[2];
	w = local[3];
	if ((eusinteger_t)local[4] >= (eusinteger_t)w) goto WHX57559;
	local[4]= argv[0];
	local[5]= argv[1];
	local[6]= argv[2];
	local[7]= argv[3];
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(pointer)ELT(ctx,2,local+7); /*elt*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)F57073fill_initial_contents(ctx,4,local+4); /*fill-initial-contents*/
	local[4]= argv[1];
	local[5]= local[1];
	ctx->vsp=local+6;
	w=(pointer)PLUS(ctx,2,local+4); /*+*/
	argv[1] = w;
	local[2] = (pointer)((eusinteger_t)(local[2])+4);
	goto WHL57558;
WHX57559:
	local[4]= NIL;
BLK57560:
	w = NIL;
	local[2]= w;
	goto CON57516;
CON57518:
	local[2]= makeint((eusinteger_t)0L);
	local[3]= argv[3];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
WHL57630:
	local[4]= local[2];
	w = local[3];
	if ((eusinteger_t)local[4] >= (eusinteger_t)w) goto WHX57631;
	local[4]= argv[0];
	local[5]= argv[1];
	local[6]= argv[3];
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)ELT(ctx,2,local+6); /*elt*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(pointer)ASET(ctx,3,local+4); /*aset*/
	argv[1] = (pointer)((eusinteger_t)(argv[1])+4);
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	local[4]= local[1];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)GREATERP(ctx,2,local+4); /*>*/
	if (w==NIL) goto IF57671;
	local[4]= fqv[9];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,1,local+4); /*error*/
	local[4]= w;
	goto IF57672;
IF57671:
	local[4]= NIL;
IF57672:
	local[2] = (pointer)((eusinteger_t)(local[2])+4);
	goto WHL57630;
WHX57631:
	local[4]= NIL;
BLK57632:
	w = NIL;
	local[2]= w;
	goto CON57516;
CON57601:
	local[2]= NIL;
CON57516:
	w = argv[0];
	local[0]= w;
BLK57452:
	ctx->vsp=local; return(local[0]);}

/*make-array*/
static pointer F57076make_array(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[10], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY57717;
	local[0] = loadglobal(fqv[11]);
KEY57717:
	if (n & (1<<1)) goto KEY57724;
	local[1] = NIL;
KEY57724:
	if (n & (1<<2)) goto KEY57729;
	local[2] = NIL;
KEY57729:
	if (n & (1<<3)) goto KEY57734;
	local[3] = makeint((eusinteger_t)0L);
KEY57734:
	if (n & (1<<4)) goto KEY57739;
	local[4] = NIL;
KEY57739:
	if (n & (1<<5)) goto KEY57744;
	local[5] = NIL;
KEY57744:
	if (n & (1<<6)) goto KEY57749;
	local[6] = NIL;
KEY57749:
	if (n & (1<<7)) goto KEY57754;
	local[7] = NIL;
KEY57754:
	if (n & (1<<8)) goto KEY57759;
	local[8] = NIL;
KEY57759:
	if (n & (1<<9)) goto KEY57764;
	local[9] = NIL;
KEY57764:
	local[10]= NIL;
	local[11]= NIL;
	local[12]= NIL;
	local[13]= local[0];
	ctx->vsp=local+14;
	w=(pointer)CLASSP(ctx,1,local+13); /*classp*/
	if (w!=NIL) goto IF57777;
	local[13]= local[0];
	local[14]= local[13];
	w = fqv[12];
	if (memq(local[14],w)==NIL) goto IF57803;
	local[14]= loadglobal(fqv[13]);
	goto IF57804;
IF57803:
	local[14]= local[13];
	w = fqv[14];
	if (memq(local[14],w)==NIL) goto IF57816;
	local[14]= loadglobal(fqv[15]);
	goto IF57817;
IF57816:
	local[14]= local[13];
	w = fqv[16];
	if (memq(local[14],w)==NIL) goto IF57829;
	local[14]= loadglobal(fqv[17]);
	goto IF57830;
IF57829:
	local[14]= local[13];
	w = fqv[18];
	if (memq(local[14],w)==NIL) goto IF57842;
	local[14]= loadglobal(fqv[19]);
	goto IF57843;
IF57842:
	if (T==NIL) goto IF57855;
	local[14]= loadglobal(fqv[11]);
	goto IF57856;
IF57855:
	local[14]= NIL;
IF57856:
IF57843:
IF57830:
IF57817:
IF57804:
	w = local[14];
	local[0] = w;
	local[13]= local[0];
	goto IF57778;
IF57777:
	local[13]= NIL;
IF57778:
	w = argv[0];
	if (!isint(w)) goto CON57868;
	local[13]= local[0];
	local[14]= argv[0];
	ctx->vsp=local+15;
	w=(pointer)INSTANTIATE(ctx,2,local+13); /*instantiate*/
	local[11] = w;
	local[12] = local[11];
	local[13]= argv[0];
	ctx->vsp=local+14;
	w=(pointer)LIST(ctx,1,local+13); /*list*/
	argv[0] = w;
	local[13]= argv[0];
	goto CON57866;
CON57868:
	local[13]= loadglobal(fqv[20]);
	ctx->vsp=local+14;
	w=(pointer)INSTANTIATE(ctx,1,local+13); /*instantiate*/
	local[12] = w;
	local[13]= makeint((eusinteger_t)0L);
	local[14]= argv[0];
	ctx->vsp=local+15;
	w=(pointer)LENGTH(ctx,1,local+14); /*length*/
	local[14]= w;
	local[15]= (pointer)get_sym_func(fqv[8]);
	local[16]= argv[0];
	ctx->vsp=local+17;
	w=(pointer)APPLY(ctx,2,local+15); /*apply*/
	local[15]= w;
	local[16]= local[14];
	local[17]= makeint((eusinteger_t)7L);
	ctx->vsp=local+18;
	w=(pointer)GREATERP(ctx,2,local+16); /*>*/
	if (w==NIL) goto IF57932;
	local[16]= fqv[21];
	ctx->vsp=local+17;
	w=(pointer)SIGERROR(ctx,1,local+16); /*error*/
	local[16]= w;
	goto IF57933;
IF57932:
	local[16]= NIL;
IF57933:
	local[16]= (pointer)get_sym_func(fqv[22]);
	local[17]= argv[0];
	ctx->vsp=local+18;
	w=(*ftab[1])(ctx,2,local+16,&ftab[1],fqv[23]); /*every*/
	if (w!=NIL) goto IF57942;
	local[16]= fqv[24];
	ctx->vsp=local+17;
	w=(pointer)SIGERROR(ctx,1,local+16); /*error*/
	local[16]= w;
	goto IF57943;
IF57942:
	local[16]= NIL;
IF57943:
	local[16]= local[2];
	ctx->vsp=local+17;
	w=(pointer)VECTORP(ctx,1,local+16); /*vectorp*/
	if (w==NIL) goto CON57963;
	local[16]= local[2];
	goto CON57961;
CON57963:
	local[16]= local[2];
	ctx->vsp=local+17;
	w=(pointer)ARRAYP(ctx,1,local+16); /*arrayp*/
	if (w==NIL) goto CON57971;
	local[16]= local[2]->c.obj.iv[1];
	goto CON57961;
CON57971:
	local[16]= local[0];
	local[17]= makeint((eusinteger_t)1L);
	local[18]= local[15];
	ctx->vsp=local+19;
	w=(pointer)MAX(ctx,2,local+17); /*max*/
	local[17]= w;
	ctx->vsp=local+18;
	w=(pointer)INSTANTIATE(ctx,2,local+16); /*instantiate*/
	local[16]= w;
	goto CON57961;
CON57983:
	local[16]= NIL;
CON57961:
	local[11] = local[16];
	local[16]= local[14];
	local[17]= local[16];
	*(ovafptr(local[12],fqv[25])) = local[17];
	local[16]= local[11];
	local[17]= local[16];
	w = local[12];
	w->c.obj.iv[1] = local[17];
	w = local[1];
	if (!isnum(w)) goto IF58012;
	local[16]= local[1];
	goto IF58013;
IF58012:
	if (local[1]==NIL) goto IF58019;
	local[16]= local[15];
	goto IF58020;
IF58019:
	local[16]= NIL;
IF58020:
IF58013:
	local[17]= local[16];
	w = local[12];
	w->c.obj.iv[3] = local[17];
	local[16]= local[3];
	local[17]= local[16];
	w = local[12];
	w->c.obj.iv[4] = local[17];
	local[16]= makeint((eusinteger_t)0L);
TAG58053:
	local[17]= local[16];
	local[18]= local[14];
	ctx->vsp=local+19;
	w=(pointer)GREQP(ctx,2,local+17); /*>=*/
	if (w==NIL) goto IF58058;
	w = NIL;
	ctx->vsp=local+17;
	local[16]=w;
	goto BLK58038;
	goto IF58059;
IF58058:
	local[17]= NIL;
IF58059:
	local[17]= local[12];
	local[18]= loadglobal(fqv[20]);
	local[19]= local[16];
	local[20]= makeint((eusinteger_t)5L);
	ctx->vsp=local+21;
	w=(pointer)PLUS(ctx,2,local+19); /*+*/
	local[19]= w;
	local[20]= argv[0];
	local[21]= local[16];
	ctx->vsp=local+22;
	w=(pointer)ELT(ctx,2,local+20); /*elt*/
	local[20]= w;
	ctx->vsp=local+21;
	w=(pointer)SETSLOT(ctx,4,local+17); /*setslot*/
	local[17]= (pointer)((eusinteger_t)(local[16])+4);
	local[16] = local[17];
	w = NIL;
	ctx->vsp=local+17;
	goto TAG58053;
	w = NIL;
	local[16]= w;
BLK58038:
	w = local[16];
	local[13]= w;
	goto CON57866;
CON57898:
	local[13]= NIL;
CON57866:
	if (local[6]==NIL) goto IF58119;
	local[13]= local[11];
	local[14]= local[6];
	ctx->vsp=local+15;
	w=(*ftab[2])(ctx,2,local+13,&ftab[2],fqv[26]); /*fill*/
	local[13]= w;
	goto IF58120;
IF58119:
	local[13]= NIL;
IF58120:
	if (local[5]==NIL) goto IF58135;
	local[13]= local[11];
	local[14]= makeint((eusinteger_t)0L);
	local[15]= argv[0];
	local[16]= local[5];
	ctx->vsp=local+17;
	w=(pointer)F57073fill_initial_contents(ctx,4,local+13); /*fill-initial-contents*/
	local[13]= w;
	goto IF58136;
IF58135:
	local[13]= NIL;
IF58136:
	w = local[12];
	local[0]= w;
BLK57699:
	ctx->vsp=local; return(local[0]);}

/*array-total-size*/
static pointer F57079array_total_size(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= *(ovafptr(argv[0],fqv[25]));
	local[1]= makeint((eusinteger_t)1L);
	local[2]= makeint((eusinteger_t)0L);
	local[3]= local[0];
WHL58202:
	local[4]= local[2];
	w = local[3];
	if ((eusinteger_t)local[4] >= (eusinteger_t)w) goto WHX58203;
	local[4]= local[1];
	local[5]= argv[0];
	local[6]= loadglobal(fqv[20]);
	local[7]= makeint((eusinteger_t)5L);
	w = local[2];
#if sun4 || vax || mips || i386 || alpha || x86_64 || ARM
	w=(pointer)((eusinteger_t)w-2);
#endif
	local[7]= (pointer)((eusinteger_t)local[7] + (eusinteger_t)w);
	ctx->vsp=local+8;
	w=(pointer)SLOT(ctx,3,local+5); /*slot*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)TIMES(ctx,2,local+4); /***/
	local[1] = w;
	local[2] = (pointer)((eusinteger_t)(local[2])+4);
	goto WHL58202;
WHX58203:
	local[4]= NIL;
BLK58204:
	w = NIL;
	w = local[1];
	local[0]= w;
BLK58154:
	ctx->vsp=local; return(local[0]);}

/*fill-pointer*/
static pointer F57082fill_pointer(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)ARRAYP(ctx,1,local+0); /*arrayp*/
	if (w==NIL) goto IF58260;
	local[0]= *(ovafptr(argv[0],fqv[27]));
	goto IF58261;
IF58260:
	local[0]= fqv[28];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF58261:
	w = local[0];
	local[0]= w;
BLK58250:
	ctx->vsp=local; return(local[0]);}

/*array-rank*/
static pointer F57085array_rank(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w = *(ovafptr(argv[0],fqv[25]));
	local[0]= w;
BLK58274:
	ctx->vsp=local; return(local[0]);}

/*array-dimensions*/
static pointer F57088array_dimensions(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= *(ovafptr(argv[0],fqv[25]));
	local[1]= NIL;
WHL58313:
	local[2]= local[0];
	local[3]= makeint((eusinteger_t)0L);
	ctx->vsp=local+4;
	w=(pointer)GREATERP(ctx,2,local+2); /*>*/
	if (w==NIL) goto WHX58314;
	local[2]= argv[0];
	local[3]= loadglobal(fqv[20]);
	local[4]= makeint((eusinteger_t)5L);
	local[0] = (pointer)((eusinteger_t)(local[0])-4);
	w = local[0];
#if sun4 || vax || mips || i386 || alpha || x86_64 || ARM
	w=(pointer)((eusinteger_t)w-2);
#endif
	local[4]= (pointer)((eusinteger_t)local[4] + (eusinteger_t)w);
	ctx->vsp=local+5;
	w=(pointer)SLOT(ctx,3,local+2); /*slot*/
	local[2]= w;
	w = local[1];
	ctx->vsp=local+3;
	local[1] = cons(ctx,local[2],w);
	goto WHL58313;
WHX58314:
	local[2]= NIL;
BLK58315:
	w = local[1];
	local[0]= w;
BLK58289:
	ctx->vsp=local; return(local[0]);}

/*array-dimension*/
static pointer F57091array_dimension(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)ARRAYP(ctx,1,local+0); /*arrayp*/
	if (w==NIL) goto IF58367;
	local[0]= argv[0];
	local[1]= loadglobal(fqv[20]);
	local[2]= makeint((eusinteger_t)5L);
	local[3]= argv[1];
	ctx->vsp=local+4;
	w=(pointer)PLUS(ctx,2,local+2); /*+*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SLOT(ctx,3,local+0); /*slot*/
	local[0]= w;
	goto IF58368;
IF58367:
	local[0]= NIL;
IF58368:
	w = local[0];
	local[0]= w;
BLK58355:
	ctx->vsp=local; return(local[0]);}

/*array-vector*/
static pointer F57094array_vector(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)VECTORP(ctx,1,local+0); /*vectorp*/
	if (w==NIL) goto CON58399;
	local[0]= argv[0];
	goto CON58397;
CON58399:
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)ARRAYP(ctx,1,local+0); /*arrayp*/
	if (w==NIL) goto CON58407;
	local[0]= argv[0]->c.obj.iv[1];
	goto CON58397;
CON58407:
	local[0]= fqv[29];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
	goto CON58397;
CON58419:
	local[0]= NIL;
CON58397:
	w = local[0];
	local[0]= w;
BLK58387:
	ctx->vsp=local; return(local[0]);}

/*row-major-aref*/
static pointer F57097row_major_aref(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	local[1]= argv[1];
	ctx->vsp=local+2;
	w=(pointer)AREF(ctx,2,local+0); /*aref*/
	local[0]= w;
BLK58427:
	ctx->vsp=local; return(local[0]);}

/*list-dimensions*/
static pointer F57100list_dimensions(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w = (w)->c.cons.car;
	if (!iscons(w)) goto CON58461;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	ctx->vsp=local+2;
	w=(pointer)F57100list_dimensions(ctx,1,local+1); /*list-dimensions*/
	ctx->vsp=local+1;
	local[0]= cons(ctx,local[0],w);
	goto CON58459;
CON58461:
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(pointer)LIST(ctx,1,local+0); /*list*/
	local[0]= w;
	goto CON58459;
CON58482:
	local[0]= NIL;
CON58459:
	w = local[0];
	local[0]= w;
BLK58449:
	ctx->vsp=local; return(local[0]);}

/*read-array*/
static pointer F57103read_array(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	local[1]= T;
	local[2]= T;
	local[3]= T;
	ctx->vsp=local+4;
	w=(pointer)READ(ctx,4,local+0); /*read*/
	local[0]= w;
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)F57100list_dimensions(ctx,1,local+1); /*list-dimensions*/
	local[1]= w;
	local[2]= fqv[30];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)F57076make_array(ctx,3,local+1); /*make-array*/
	local[0]= w;
BLK58493:
	ctx->vsp=local; return(local[0]);}

/*read-float-array*/
static pointer F57106read_float_array(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	local[1]= T;
	local[2]= T;
	local[3]= T;
	ctx->vsp=local+4;
	w=(pointer)READ(ctx,4,local+0); /*read*/
	local[0]= w;
	local[1]= argv[2];
	local[2]= makeint((eusinteger_t)0L);
	ctx->vsp=local+3;
	w=(pointer)NUMEQUAL(ctx,2,local+1); /*=*/
	if (w==NIL) goto IF58558;
	local[1]= fqv[17];
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)APPLY(ctx,2,local+1); /*apply*/
	local[1]= w;
	goto IF58559;
IF58558:
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)F57100list_dimensions(ctx,1,local+1); /*list-dimensions*/
	local[1]= w;
	local[2]= fqv[3];
	local[3]= fqv[4];
	local[4]= fqv[30];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F57076make_array(ctx,5,local+1); /*make-array*/
	local[1]= w;
IF58559:
	w = local[1];
	local[0]= w;
BLK58531:
	ctx->vsp=local; return(local[0]);}

/*read-integer-array*/
static pointer F57109read_integer_array(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	local[1]= T;
	local[2]= T;
	local[3]= T;
	ctx->vsp=local+4;
	w=(pointer)READ(ctx,4,local+0); /*read*/
	local[0]= w;
	local[1]= argv[2];
	local[2]= makeint((eusinteger_t)0L);
	ctx->vsp=local+3;
	w=(pointer)NUMEQUAL(ctx,2,local+1); /*=*/
	if (w==NIL) goto IF58611;
	local[1]= fqv[19];
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)APPLY(ctx,2,local+1); /*apply*/
	local[1]= w;
	goto IF58612;
IF58611:
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)F57100list_dimensions(ctx,1,local+1); /*list-dimensions*/
	local[1]= w;
	local[2]= fqv[3];
	local[3]= fqv[5];
	local[4]= fqv[30];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F57076make_array(ctx,5,local+1); /*make-array*/
	local[1]= w;
IF58612:
	w = local[1];
	local[0]= w;
BLK58584:
	ctx->vsp=local; return(local[0]);}

/*float-vector-p*/
static pointer F57119float_vector_p(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[17]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	local[0]= w;
BLK58647:
	ctx->vsp=local; return(local[0]);}

/*integer-vector-p*/
static pointer F57122integer_vector_p(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[19]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	local[0]= w;
BLK58663:
	ctx->vsp=local; return(local[0]);}

/*bit-vector-p*/
static pointer F57125bit_vector_p(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[15]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	local[0]= w;
BLK58679:
	ctx->vsp=local; return(local[0]);}

/*matrixp*/
static pointer F57128matrixp(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[20]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	local[0]= w;
	if (w==NIL) goto AND58705;
	local[0]= *(ovafptr(argv[0],fqv[31]));
	ctx->vsp=local+1;
	w=(pointer)F57119float_vector_p(ctx,1,local+0); /*float-vector-p*/
	local[0]= w;
AND58705:
	w = local[0];
	local[0]= w;
BLK58695:
	ctx->vsp=local; return(local[0]);}

/*make-matrix*/
static pointer F57131make_matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT58723;}
	local[0]= NIL;
ENT58723:
ENT58722:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= argv[1];
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,2,local+1); /*list*/
	local[1]= w;
	local[2]= fqv[3];
	local[3]= fqv[4];
	local[4]= fqv[30];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F57076make_array(ctx,5,local+1); /*make-array*/
	local[0]= w;
BLK58720:
	ctx->vsp=local; return(local[0]);}

/*matrix-row*/
static pointer F57134matrix_row(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F57085array_rank(ctx,1,local+0); /*array-rank*/
	local[0]= w;
	if (makeint((eusinteger_t)2L)!=local[0]) goto IF58767;
	local[0]= *(ovafptr(argv[0],fqv[31]));
	local[1]= *(ovafptr(argv[0],fqv[32]));
	local[2]= argv[1];
	ctx->vsp=local+3;
	w=(pointer)TIMES(ctx,2,local+1); /***/
	local[1]= w;
	local[2]= *(ovafptr(argv[0],fqv[32]));
	local[3]= (pointer)((eusinteger_t)(argv[1])+4);
	ctx->vsp=local+4;
	w=(pointer)TIMES(ctx,2,local+2); /***/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SUBSEQ(ctx,3,local+0); /*subseq*/
	local[0]= w;
	goto IF58768;
IF58767:
	local[0]= NIL;
IF58768:
	w = local[0];
	local[0]= w;
BLK58754:
	ctx->vsp=local; return(local[0]);}

/*matrix-column*/
static pointer F57137matrix_column(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F57085array_rank(ctx,1,local+0); /*array-rank*/
	local[0]= w;
	if (makeint((eusinteger_t)2L)!=local[0]) goto IF58814;
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= argv[0]->c.obj.iv[6];
	local[2]= argv[0]->c.obj.iv[1];
	local[3]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+4;
	w=(pointer)GETCLASS(ctx,1,local+3); /*class*/
	local[3]= w;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)INSTANTIATE(ctx,2,local+3); /*instantiate*/
	local[3]= w;
	local[4]= makeint((eusinteger_t)0L);
	local[5]= local[0];
WHL58887:
	local[6]= local[4];
	w = local[5];
	if ((eusinteger_t)local[6] >= (eusinteger_t)w) goto WHX58888;
	local[6]= local[3];
	local[7]= local[4];
	local[8]= local[2];
	local[9]= argv[1];
	local[10]= local[4];
	local[11]= local[1];
	ctx->vsp=local+12;
	w=(pointer)TIMES(ctx,2,local+10); /***/
	local[10]= w;
	ctx->vsp=local+11;
	w=(pointer)PLUS(ctx,2,local+9); /*+*/
	local[9]= w;
	ctx->vsp=local+10;
	w=(pointer)AREF(ctx,2,local+8); /*aref*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)ASET(ctx,3,local+6); /*aset*/
	local[4] = (pointer)((eusinteger_t)(local[4])+4);
	goto WHL58887;
WHX58888:
	local[6]= NIL;
BLK58889:
	w = NIL;
	w = local[3];
	local[0]= w;
	goto IF58815;
IF58814:
	local[0]= NIL;
IF58815:
	w = local[0];
	local[0]= w;
BLK58801:
	ctx->vsp=local; return(local[0]);}

/*set-matrix-row*/
static pointer F57140set_matrix_row(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F57085array_rank(ctx,1,local+0); /*array-rank*/
	local[0]= w;
	if (makeint((eusinteger_t)2L)!=local[0]) goto IF58950;
	local[0]= *(ovafptr(argv[0],fqv[31]));
	local[1]= argv[2];
	local[2]= fqv[33];
	local[3]= *(ovafptr(argv[0],fqv[32]));
	local[4]= argv[1];
	ctx->vsp=local+5;
	w=(pointer)TIMES(ctx,2,local+3); /***/
	local[3]= w;
	local[4]= fqv[34];
	local[5]= *(ovafptr(argv[0],fqv[32]));
	local[6]= (pointer)((eusinteger_t)(argv[1])+4);
	ctx->vsp=local+7;
	w=(pointer)TIMES(ctx,2,local+5); /***/
	local[5]= w;
	ctx->vsp=local+6;
	w=(*ftab[3])(ctx,6,local+0,&ftab[3],fqv[35]); /*replace*/
	local[0]= w;
	goto IF58951;
IF58950:
	local[0]= NIL;
IF58951:
	w = argv[0];
	local[0]= w;
BLK58935:
	ctx->vsp=local; return(local[0]);}

/*set-matrix-column*/
static pointer F57143set_matrix_column(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F57085array_rank(ctx,1,local+0); /*array-rank*/
	local[0]= w;
	if (makeint((eusinteger_t)2L)!=local[0]) goto IF59008;
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= argv[0]->c.obj.iv[6];
	local[2]= argv[0]->c.obj.iv[1];
	local[3]= makeint((eusinteger_t)0L);
	local[4]= local[0];
WHL59069:
	local[5]= local[3];
	w = local[4];
	if ((eusinteger_t)local[5] >= (eusinteger_t)w) goto WHX59070;
	local[5]= local[2];
	local[6]= argv[1];
	local[7]= local[3];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)TIMES(ctx,2,local+7); /***/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)PLUS(ctx,2,local+6); /*+*/
	local[6]= w;
	local[7]= argv[2];
	local[8]= local[3];
	ctx->vsp=local+9;
	w=(pointer)ELT(ctx,2,local+7); /*elt*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)ASET(ctx,3,local+5); /*aset*/
	local[3] = (pointer)((eusinteger_t)(local[3])+4);
	goto WHL59069;
WHX59070:
	local[5]= NIL;
BLK59071:
	w = NIL;
	local[0]= w;
	goto IF59009;
IF59008:
	local[0]= NIL;
IF59009:
	w = argv[0];
	local[0]= w;
BLK58993:
	ctx->vsp=local; return(local[0]);}

/*replace-matrix*/
static pointer F57146replace_matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[1];
	local[1]= argv[1]->c.obj.iv[1];
	ctx->vsp=local+2;
	w=(*ftab[3])(ctx,2,local+0,&ftab[3],fqv[35]); /*replace*/
	w = argv[0];
	local[0]= w;
BLK59117:
	ctx->vsp=local; return(local[0]);}

/*copy-matrix*/
static pointer F57149copy_matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= argv[0]->c.obj.iv[6];
	ctx->vsp=local+2;
	w=(pointer)F57131make_matrix(ctx,2,local+0); /*make-matrix*/
	local[0]= w;
	local[1]= local[0]->c.obj.iv[1];
	local[2]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+3;
	w=(*ftab[3])(ctx,2,local+1,&ftab[3],fqv[35]); /*replace*/
	w = local[0];
	local[0]= w;
BLK59146:
	ctx->vsp=local; return(local[0]);}

/*scale-matrix*/
static pointer F57152scale_matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT59197;}
	local[0]= argv[1];
	ctx->vsp=local+1;
	w=(pointer)F57149copy_matrix(ctx,1,local+0); /*copy-matrix*/
	local[0]= w;
ENT59197:
ENT59196:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= argv[1]->c.obj.iv[1];
	local[3]= local[0]->c.obj.iv[1];
	ctx->vsp=local+4;
	w=(pointer)SCALEVEC(ctx,3,local+1); /*scale*/
	w = local[0];
	local[0]= w;
BLK59194:
	ctx->vsp=local; return(local[0]);}

/*matrix*/
static pointer F57155matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
RST59236:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-0);
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)LENGTH(ctx,1,local+1); /*length*/
	local[1]= w;
	local[2]= (pointer)get_sym_func(fqv[36]);
	local[3]= (pointer)get_sym_func(fqv[37]);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)MAPCAR(ctx,2,local+3); /*mapcar*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)APPLY(ctx,2,local+2); /*apply*/
	local[2]= w;
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)F57131make_matrix(ctx,3,local+1); /*make-matrix*/
	local[0]= w;
BLK59234:
	ctx->vsp=local; return(local[0]);}

/*acos*/
static pointer F57158acos(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= makeflt(1.0000000000000000000000e+00);
	local[1]= argv[0];
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)TIMES(ctx,2,local+1); /***/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)MINUS(ctx,2,local+0); /*-*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(pointer)SQRT(ctx,1,local+0); /*sqrt*/
	local[0]= w;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)ATAN(ctx,2,local+0); /*atan*/
	local[0]= w;
BLK59262:
	ctx->vsp=local; return(local[0]);}

/*asin*/
static pointer F57161asin(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= makeflt(1.0000000000000000000000e+00);
	local[2]= argv[0];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)TIMES(ctx,2,local+2); /***/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)MINUS(ctx,2,local+1); /*-*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)SQRT(ctx,1,local+1); /*sqrt*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)ATAN(ctx,2,local+0); /*atan*/
	local[0]= w;
BLK59290:
	ctx->vsp=local; return(local[0]);}

/*unit-matrix*/
static pointer F57164unit_matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
	if (n>=1) { local[0]=(argv[0]); goto ENT59321;}
	local[0]= makeint((eusinteger_t)3L);
ENT59321:
ENT59320:
	if (n>1) maerror();
	local[1]= local[0];
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)F57131make_matrix(ctx,2,local+1); /*make-matrix*/
	local[1]= w;
	local[2]= makeint((eusinteger_t)0L);
	local[3]= local[0];
WHL59370:
	local[4]= local[2];
	w = local[3];
	if ((eusinteger_t)local[4] >= (eusinteger_t)w) goto WHX59371;
	local[4]= local[1];
	local[5]= local[2];
	local[6]= local[2];
	local[7]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+8;
	w=(pointer)ASET(ctx,4,local+4); /*aset*/
	local[2] = (pointer)((eusinteger_t)(local[2])+4);
	goto WHL59370;
WHX59371:
	local[4]= NIL;
BLK59372:
	w = NIL;
	w = local[1];
	local[0]= w;
BLK59318:
	ctx->vsp=local; return(local[0]);}

/*m***/
static pointer F57167m__(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
RST59405:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-2);
	local[1]= NIL;
	local[2]= NIL;
	local[3]= argv[0];
	local[4]= argv[1];
	ctx->vsp=local+5;
	w=(pointer)MATTIMES(ctx,2,local+3); /*m**/
	local[2] = w;
	local[3]= NIL;
	local[4]= local[0];
WHL59449:
	if (local[4]==NIL) goto WHX59450;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4] = (w)->c.cons.cdr;
	w = local[5];
	local[3] = w;
	local[5]= local[2];
	local[6]= local[3];
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)MATTIMES(ctx,3,local+5); /*m**/
	goto WHL59449;
WHX59450:
	local[5]= NIL;
BLK59451:
	w = NIL;
	w = local[2];
	local[0]= w;
BLK59403:
	ctx->vsp=local; return(local[0]);}

/*simultaneous-equation*/
static pointer F57170simultaneous_equation(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= makeint((eusinteger_t)0L);
	ctx->vsp=local+2;
	w=(pointer)F57091array_dimension(ctx,2,local+0); /*array-dimension*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(pointer)F57164unit_matrix(ctx,1,local+0); /*unit-matrix*/
	local[0]= w;
	local[1]= argv[0];
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)LU_DECOMPOSE(ctx,2,local+1); /*lu-decompose*/
	local[1]= w;
	local[2]= local[0];
	local[3]= local[1];
	local[4]= argv[1];
	ctx->vsp=local+5;
	w=(pointer)LU_SOLVE(ctx,3,local+2); /*lu-solve*/
	local[0]= w;
BLK59511:
	ctx->vsp=local; return(local[0]);}

/*inverse-matrix*/
static pointer F57173inverse_matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= makeint((eusinteger_t)0L);
	ctx->vsp=local+2;
	w=(pointer)F57091array_dimension(ctx,2,local+0); /*array-dimension*/
	local[0]= w;
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(pointer)F57164unit_matrix(ctx,1,local+1); /*unit-matrix*/
	local[1]= w;
	local[2]= argv[0];
	local[3]= local[1];
	ctx->vsp=local+4;
	w=(pointer)LU_DECOMPOSE(ctx,2,local+2); /*lu-decompose*/
	local[2]= w;
	local[3]= NIL;
	local[4]= local[0];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F57131make_matrix(ctx,2,local+4); /*make-matrix*/
	local[4]= w;
	local[5]= loadglobal(fqv[17]);
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)INSTANTIATE(ctx,2,local+5); /*instantiate*/
	local[5]= w;
	local[6]= makeint((eusinteger_t)0L);
	if (local[2]!=NIL) goto IF59598;
	w = fqv[38];
	ctx->vsp=local+7;
	local[0]=w;
	goto BLK59550;
	goto IF59599;
IF59598:
	local[7]= NIL;
IF59599:
	local[7]= makeint((eusinteger_t)0L);
	local[8]= local[0];
WHL59633:
	local[9]= local[7];
	w = local[8];
	if ((eusinteger_t)local[9] >= (eusinteger_t)w) goto WHX59634;
	local[9]= local[5];
	local[10]= local[7];
	local[11]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+12;
	w=(pointer)ASET(ctx,3,local+9); /*aset*/
	local[9]= local[1];
	local[10]= local[2];
	local[11]= local[5];
	ctx->vsp=local+12;
	w=(pointer)LU_SOLVE(ctx,3,local+9); /*lu-solve*/
	local[3] = w;
	local[9]= makeint((eusinteger_t)0L);
	local[10]= local[0];
WHL59682:
	local[11]= local[9];
	w = local[10];
	if ((eusinteger_t)local[11] >= (eusinteger_t)w) goto WHX59683;
	local[11]= local[4];
	local[12]= local[9];
	local[13]= local[7];
	local[14]= local[3];
	local[15]= local[9];
	ctx->vsp=local+16;
	w=(pointer)AREF(ctx,2,local+14); /*aref*/
	local[14]= w;
	ctx->vsp=local+15;
	w=(pointer)ASET(ctx,4,local+11); /*aset*/
	local[9] = (pointer)((eusinteger_t)(local[9])+4);
	goto WHL59682;
WHX59683:
	local[11]= NIL;
BLK59684:
	w = NIL;
	local[9]= local[5];
	local[10]= local[7];
	local[11]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+12;
	w=(pointer)ASET(ctx,3,local+9); /*aset*/
	local[7] = (pointer)((eusinteger_t)(local[7])+4);
	goto WHL59633;
WHX59634:
	local[9]= NIL;
BLK59635:
	w = NIL;
	w = local[4];
	local[0]= w;
BLK59550:
	ctx->vsp=local; return(local[0]);}

/*vector-x*/
static pointer F57176vector_x(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	{ register eusinteger_t i=intval(makeint((eusinteger_t)0L));
	  w=makeflt(local[0]->c.fvec.fv[i]);}
	local[0]= w;
BLK59738:
	ctx->vsp=local; return(local[0]);}

/*vector-y*/
static pointer F57179vector_y(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	{ register eusinteger_t i=intval(makeint((eusinteger_t)1L));
	  w=makeflt(local[0]->c.fvec.fv[i]);}
	local[0]= w;
BLK59757:
	ctx->vsp=local; return(local[0]);}

/*vector-z*/
static pointer F57182vector_z(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	{ register eusinteger_t i=intval(makeint((eusinteger_t)2L));
	  w=makeflt(local[0]->c.fvec.fv[i]);}
	local[0]= w;
BLK59776:
	ctx->vsp=local; return(local[0]);}

/*v=*/
static pointer F57185v_(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= argv[1];
	ctx->vsp=local+2;
	w=(pointer)VDISTANCE(ctx,2,local+0); /*distance*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[4])(ctx,1,local+0,&ftab[4],fqv[39]); /*zerop*/
	local[0]= w;
BLK59795:
	ctx->vsp=local; return(local[0]);}

/*euler-matrix*/
static pointer F57188euler_matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	local[1]= fqv[40];
	ctx->vsp=local+2;
	w=(pointer)ROTATION_MATRIX(ctx,2,local+0); /*rotation-matrix*/
	local[0]= w;
	local[1]= local[0];
	local[2]= argv[1];
	local[3]= fqv[41];
	local[4]= NIL;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)ROTMAT(ctx,5,local+1); /*rotate-matrix*/
	local[1]= local[0];
	local[2]= argv[2];
	local[3]= fqv[40];
	local[4]= NIL;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)ROTMAT(ctx,5,local+1); /*rotate-matrix*/
	w = local[0];
	local[0]= w;
BLK59817:
	ctx->vsp=local; return(local[0]);}

/*rpy-matrix*/
static pointer F57191rpy_matrix(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[2];
	local[1]= fqv[42];
	ctx->vsp=local+2;
	w=(pointer)ROTATION_MATRIX(ctx,2,local+0); /*rotation-matrix*/
	local[0]= w;
	local[1]= local[0];
	local[2]= argv[1];
	local[3]= fqv[41];
	local[4]= T;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)ROTMAT(ctx,5,local+1); /*rotate-matrix*/
	local[1]= local[0];
	local[2]= argv[0];
	local[3]= fqv[40];
	local[4]= T;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)ROTMAT(ctx,5,local+1); /*rotate-matrix*/
	w = local[0];
	local[0]= w;
BLK59868:
	ctx->vsp=local; return(local[0]);}

/* initializer*/
pointer ___array(ctx,n,argv,env)
register context *ctx; int n; pointer *argv; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv;
  register int i;
  numunion nu;
  module=argv[0];
  quotevec=build_quote_vector(ctx,QUOTE_STRINGS_SIZE, quote_strings);
  module->c.code.quotevec=quotevec;
  codevec=module->c.code.codevec;
  fqv=qv=quotevec->c.vec.v;
  init_ftab();
	local[0]= fqv[43];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w==NIL) goto IF59923;
	local[0]= fqv[44];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	local[0]= w;
	storeglobal(fqv[45],w);
	goto IF59924;
IF59923:
	local[0]= fqv[46];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF59924:
	local[0]= fqv[47];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M57273vectorclass_elmtype,fqv[2],fqv[48],fqv[49]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M57289vectorclass_element_type,fqv[3],fqv[48],fqv[50]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M57324vector_elmtype,fqv[2],fqv[11],fqv[51]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M57345vector_element_type,fqv[3],fqv[11],fqv[52]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M57396array_element_type,fqv[3],fqv[20],fqv[53]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[54],module,F57073fill_initial_contents,fqv[55]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[56],module,F57076make_array,fqv[57]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[58],module,F57079array_total_size,fqv[59]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[27],module,F57082fill_pointer,fqv[60]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[61],module,F57085array_rank,fqv[62]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[63],module,F57088array_dimensions,fqv[64]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[65],module,F57091array_dimension,fqv[66]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[67],module,F57094array_vector,fqv[68]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[69],module,F57097row_major_aref,fqv[70]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[71],module,F57100list_dimensions,fqv[72]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[73],module,F57103read_array,fqv[74]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[75],module,F57106read_float_array,fqv[76]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[77],module,F57109read_integer_array,fqv[78]);
	local[0]= makeint((eusinteger_t)35L);
	local[1]= makeint((eusinteger_t)65L);
	local[2]= fqv[73];
	ctx->vsp=local+3;
	w=(pointer)SETDISPMACRO(ctx,3,local+0); /*set-dispatch-macro-character*/
	local[0]= makeint((eusinteger_t)35L);
	local[1]= makeint((eusinteger_t)70L);
	local[2]= fqv[75];
	ctx->vsp=local+3;
	w=(pointer)SETDISPMACRO(ctx,3,local+0); /*set-dispatch-macro-character*/
	local[0]= makeint((eusinteger_t)35L);
	local[1]= makeint((eusinteger_t)73L);
	local[2]= fqv[77];
	ctx->vsp=local+3;
	w=(pointer)SETDISPMACRO(ctx,3,local+0); /*set-dispatch-macro-character*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[79],module,F57119float_vector_p,fqv[80]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[81],module,F57122integer_vector_p,fqv[82]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[83],module,F57125bit_vector_p,fqv[84]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[85],module,F57128matrixp,fqv[86]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[87],module,F57131make_matrix,fqv[88]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[89],module,F57134matrix_row,fqv[90]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[91],module,F57137matrix_column,fqv[92]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[93],module,F57140set_matrix_row,fqv[94]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[95],module,F57143set_matrix_column,fqv[96]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[97],module,F57146replace_matrix,fqv[98]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[99],module,F57149copy_matrix,fqv[100]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[101],module,F57152scale_matrix,fqv[102]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[103],module,F57155matrix,fqv[104]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[105],module,F57158acos,fqv[106]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[107],module,F57161asin,fqv[108]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[109],module,F57164unit_matrix,fqv[110]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[111],module,F57167m__,fqv[112]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[113],module,F57170simultaneous_equation,fqv[114]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[115],module,F57173inverse_matrix,fqv[116]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[117],module,F57176vector_x,fqv[118]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[119],module,F57179vector_y,fqv[120]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[121],module,F57182vector_z,fqv[122]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[123],module,F57185v_,fqv[124]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[125],module,F57188euler_matrix,fqv[126]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[127],module,F57191rpy_matrix,fqv[128]);
	local[0]= fqv[129];
	local[1]= fqv[130];
	ctx->vsp=local+2;
	w=(*ftab[5])(ctx,2,local+0,&ftab[5],fqv[131]); /*provide*/
	local[0]= NIL;
	ctx->vsp=local; return(local[0]);}
static void init_ftab()
{  register int i;
  for (i=0; i<6; i++) ftab[i]=fcallx;
}
